Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotrac_routines_mod.F90	(revision 5116)
@@ -2369,13 +2348,12 @@
 !             do i=1,n
 !              if ((abs(xtractot(i,j)).lt.1e-18).and.
-!     :           (x(iiso,i,j).gt.ridicule)) then
+!     :           (x(iiso,i,j).gt.ridicule)) THEN
 !                  x(ixt,i,j)=x(iiso,i,j)
-!              endif !if (abs(xtractot(i,j)).gt.ridicule*10) then
+!              endif !if (abs(xtractot(i,j)).gt.ridicule*10) THEN
 !             enddo ! do i=1,n
 !           enddo !do j=1,m
 
         enddo !do iiso=1,ntraceurs_iso  
-        endif !if (bidouille_anti_divergence) then    
-
+        endif !if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbid_vect
 
@@ -2394,6 +2372,5 @@
        real xtractot
         
-        if (bidouille_anti_divergence) then
-
+        if (bidouille_anti_divergence) THEN
         do iiso=1,niso
 
@@ -2406,5 +2383,5 @@
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule*10) then
+              if (abs(xtractot).gt.ridicule*10) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2414,6 +2391,5 @@
 
         enddo !do iiso=1,ntraceurs_iso   
-        endif !if (bidouille_anti_divergence) then     
-
+        endif !if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbidouille
 
@@ -2422,5 +2398,5 @@
         USE isotopes_mod, ONLY: bidouille_anti_divergence,iso_eau,ridicule
 !#ifdef ISOVERIF
-!        use isotopes_verif_mod, only: iso_verif_traceur_pbidouille
+!        use isotopes_verif_mod, ONLY: iso_verif_traceur_pbidouille
 !#endif
         IMPLICIT NONE
@@ -2443,7 +2419,6 @@
        real xtractot,xtractotprec
         
-        if (bidouille_anti_divergence) then
-
-!            write(*,*) 'pgm 532 tmp: x=',x
+        if (bidouille_anti_divergence) THEN
+!            WRITE(*,*) 'pgm 532 tmp: x=',x
         do iiso=1,niso
 
@@ -2456,11 +2431,11 @@
             xtractot=xtractot+x(ixt)
           enddo !do izone=1,ntraceurs_zone
-!          write(*,*) 'iiso,xtractotprec,xtractot=',
+!          WRITE(*,*) 'iiso,xtractotprec,xtractot=',
 !     :          iiso,xtractotprec,xtractot
          
-          if (xtractot.gt.xtractotprec) then
+          if (xtractot.gt.xtractotprec) THEN
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule) then
+              if (abs(xtractot).gt.ridicule) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2470,5 +2445,5 @@
                 ! négatif   
 !                x(iiso)=xtractot
-              else  !if (abs(xtractot).gt.ridicule) then
+              else  !if (abs(xtractot).gt.ridicule) THEN
                 ! normallement, valeurs restantes très faibles
                 ! on ne fait rien. 
@@ -2479,7 +2454,6 @@
                   x(ixt)=max(x(ixt),0.0)
                 enddo !do izone=1,ntraceurs_zone
-              endif !if (abs(xtractot).gt.ridicule) then
-          endif !if (xtractot.gt.xtractotprec) then      
-
+              endif !if (abs(xtractot).gt.ridicule) THEN
+          endif !if (xtractot.gt.xtractotprec) THEN
         enddo !do iiso=1,ntraceurs_iso
 #ifdef ISOVERIF        
@@ -2488,6 +2462,5 @@
         CALL iso_verif_traceur_jbidouille(x)
 #endif
-        endif !if (bidouille_anti_divergence) then     
-
+        endif !if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbid_pos
 
@@ -2508,7 +2481,6 @@
        integer i,j
         
-        if (bidouille_anti_divergence) then
-
-!            write(*,*) 'pgm 532 tmp: x=',x
+        if (bidouille_anti_divergence) THEN
+!            WRITE(*,*) 'pgm 532 tmp: x=',x
                
         do iiso=1,niso          
@@ -2531,13 +2503,13 @@
             
           enddo !do izone=1,ntraceurs_zone
-!          write(*,*) 'iiso,xtractotprec,xtractot=',
+!          WRITE(*,*) 'iiso,xtractotprec,xtractot=',
 !     :          iiso,xtractotprec,xtractot
                   
          do j=1,m 
          do i=1,n
-          if (xtractot(i,j).gt.xtractotprec(i,j)) then
+          if (xtractot(i,j).gt.xtractotprec(i,j)) THEN
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot(i,j)).gt.ridicule) then
+              if (abs(xtractot(i,j)).gt.ridicule) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2547,5 +2519,5 @@
                 ! négatif   
 !                x(iiso)=xtractot
-              else  !if (abs(xtractot).gt.ridicule) then
+              else  !if (abs(xtractot).gt.ridicule) THEN
                 ! normallement, valeurs restantes très faibles
                 ! on ne fait rien. 
@@ -2556,6 +2528,6 @@
                   x(ixt,i,j)=max(x(ixt,i,j),0.0)
                 enddo !do izone=1,ntraceurs_zone
-              endif !if (abs(xtractot).gt.ridicule) then
-          endif !if (xtractot.gt.xtractotprec) then
+              endif !if (abs(xtractot).gt.ridicule) THEN
+          endif !if (xtractot.gt.xtractotprec) THEN
          enddo !do i=1,n      
          enddo !do j=1,m 
@@ -2568,6 +2540,5 @@
         CALL iso_verif_traceur_jbid_vect(x,n,m)
 #endif
-        endif !if (bidouille_anti_divergence) then     
-
+        endif !if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbid_pos_vect
 
@@ -2593,13 +2564,13 @@
        real dqtmp,factmp
         
-        if (bidouille_anti_divergence) then
-!        write(*,*) 'iso_verif_trac 578 tmp: q,xt=',
+        if (bidouille_anti_divergence) THEN
+!        WRITE(*,*) 'iso_verif_trac 578 tmp: q,xt=',
 !     :                q,x(1:ntraciso)
-        if (q.gt.0.0) then
+        if (q.gt.0.0) THEN
               dqtmp=0.0
               do izone=1,ntraceurs_zone
                 ieau=index_trac(izone,iso_eau)
-                if (x(ieau).lt.0.0) then
-!                    write(*,*) 'local_x<0 pour izone=',izone
+                if (x(ieau).lt.0.0) THEN
+!                    WRITE(*,*) 'local_x<0 pour izone=',izone
                     dqtmp=dqtmp-x(ieau)
                     do iiso=1,niso    
@@ -2607,9 +2578,9 @@
                       x(ixt) =0.0
                     enddo !do iiso=1,niso  
-                endif  !if (local_xt(ieau,i,k).lt.0.0) then                
+                endif  !if (local_xt(ieau,i,k).lt.0.0) THEN
               enddo !do izone=1,ntraceurs_zone
-!              write(*,*) 'dqtmp=',dqtmp
-              if (dqtmp.gt.0.0) then  
-!                  write(*,*) 'iso_verif_trac 593 warning: q,dqtmp,xt=',
+!              WRITE(*,*) 'dqtmp=',dqtmp
+              if (dqtmp.gt.0.0) THEN
+!                  WRITE(*,*) 'iso_verif_trac 593 warning: q,dqtmp,xt=',
 !     :                q,dqtmp,x(1:ntraciso)
                     ! on redistribue la négativité des traceurs dans les
@@ -2618,26 +2589,24 @@
                     ! correction janv 2010
                     factmp=(q/(q+dqtmp))
-!                    write(*,*) 'factmp=',factmp
+!                    WRITE(*,*) 'factmp=',factmp
                      do izone=1,ntraceurs_zone
                        ieau=index_trac(izone,iso_eau)
-                       if (x(ieau).gt.0.0) then
+                       if (x(ieau).gt.0.0) THEN
                           do iiso=1,niso    
                              ixt=index_trac(izone,iiso)
                              x(ixt)=x(ixt)*factmp
                           enddo !do iiso=1,niso
-                       endif !if (local_xt(ieau,i,k).gt.0.0) then
+                       endif !if (local_xt(ieau,i,k).gt.0.0) THEN
                      enddo ! do izone=1,ntraceurs_zone
-!                     write(*,*) 'apres bidouille: xt=',x(1:ntraciso)
-              endif !if (dqtmp.gt.0.0) then   
+!                     WRITE(*,*) 'apres bidouille: xt=',x(1:ntraciso)
+              endif !if (dqtmp.gt.0.0) THEN
 #ifdef ISOVERIF
               CALL iso_verif_traceur(x,'iso_verif_traceurs 612')
 #endif
-          endif !if (local_q(i,k).lt.0.0) then
-
+          endif !if (local_q(i,k).lt.0.0) THEN
 #ifdef ISOVERIF
         CALL iso_verif_traceur_pbidouille(x,'iso_verif_trac 625')
 #endif
-        endif ! if (bidouille_anti_divergence) then  
-
+        endif ! if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbid_pos2
 
@@ -2656,6 +2625,5 @@
        real xtractot
         
-        if (bidouille_anti_divergence) then
-
+        if (bidouille_anti_divergence) THEN
         do i=1,n
         do iiso=1,niso
@@ -2669,5 +2637,5 @@
               ! on réajuste pour que les traceurs fasses bien la somme
               ! des traceurs
-              if (abs(xtractot).gt.ridicule*10) then
+              if (abs(xtractot).gt.ridicule*10) THEN
                 do izone=1,ntraceurs_zone
                   ixt=index_trac(izone,iiso) 
@@ -2678,6 +2646,5 @@
         enddo !do iiso=1,ntraceurs_iso  
         enddo  !do i=1,n
-        endif !if (bidouille_anti_divergence) then             
-
+        endif !if (bidouille_anti_divergence) THEN
         END SUBROUTINE  iso_verif_traceur_jbid_vect1D
       
@@ -2704,5 +2671,5 @@
        !integer iso_verif_traceur_pbid_ns
 
-        if (iso_verif_traceur_pbid_ns(x,err_msg).eq.1) then
+        if (iso_verif_traceur_pbid_ns(x,err_msg).eq.1) THEN
             stop
         endif
@@ -2712,5 +2679,5 @@
         function iso_verif_traceur_pbid_ns(x,err_msg)
         use isotopes_mod, ONLY: iso_HDO,bidouille_anti_divergence
-        use isotrac_mod, only: ridicule_trac
+        use isotrac_mod, ONLY: ridicule_trac
         use isotopes_verif_mod
         IMPLICIT NONE
@@ -2741,5 +2708,5 @@
         iso_verif_traceur_pbid_ns=0
 
-        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) then
+        if (iso_verif_traceur_noNaN_nostop(x,err_msg).eq.1) THEN
 !             stop
             iso_verif_traceur_pbid_ns=1
@@ -2748,5 +2715,5 @@
         ! verif masse
         if (iso_verif_tracm_choix_nostop(x,err_msg, &
-                 errmax*10,errmaxrel*50).eq.1) then
+                 errmax*10,errmaxrel*50).eq.1) THEN
              ! on est plus laxiste car ça vient en général après une
              ! bidouille pour iso_eau normal
@@ -2755,20 +2722,18 @@
         endif  
 
-        if (bidouille_anti_divergence) then
+        if (bidouille_anti_divergence) THEN
             ! on réajuste pour que les traceurs fasses bien la somme
             ! des traceurs
             CALL iso_verif_traceur_jbidouille(x)
-        endif !if (bidouille_anti_divergence) then    
-
+        endif !if (bidouille_anti_divergence) THEN
        ! verif deltaD
-       if (iso_HDO.gt.0) then
+       if (iso_HDO.gt.0) THEN
         if (iso_verif_tracdD_choix_nostop(x,err_msg, &
-                 ridicule_trac,deltalimtrac).eq.1) then
+                 ridicule_trac,deltalimtrac).eq.1) THEN
 !             stop
               iso_verif_traceur_pbid_ns=1
         endif  
-       endif !if (iso_HDO.gt.0) then
-
-        end function iso_verif_traceur_pbid_ns
+       endif !if (iso_HDO.gt.0) THEN
+        END FUNCTION iso_verif_traceur_pbid_ns
 
         SUBROUTINE iso_verif_traceur_pbid_vect(x,n,m,err_msg)
@@ -2793,12 +2758,11 @@
                  errmaxrel*50)
 
-        if (bidouille_anti_divergence) then
+        if (bidouille_anti_divergence) THEN
             ! on réajuste pour que les traceurs fasses bien la somme
             ! des traceurs
             CALL iso_verif_traceur_jbid_vect(x,n,m)
-        endif !if (bidouille_anti_divergence) then    
-
+        endif !if (bidouille_anti_divergence) THEN
        ! verif deltaD
-       if (iso_HDO.gt.0) then
+       if (iso_HDO.gt.0) THEN
         CALL iso_verif_tracdd_vect(x,n,m,err_msg)
        endif
Index: /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90
===================================================================
--- /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5115)
+++ /LMDZ6/branches/Amaury_dev/libf/phylmdiso/limit_read_mod.F90	(revision 5116)
@@ -164,5 +164,5 @@
 #ifdef ISO
   real, intent(out), dimension(niso,klon) :: Roce 
-  integer :: ixt  
+  INTEGER :: ixt
   real, intent(in),dimension(klon) :: rlat
   real lat_locale
@@ -178,5 +178,5 @@
 
 #ifdef ISO
-     if (iso_HTO.gt.0) then
+     if (iso_HTO.gt.0) THEN
      if (ok_prod_nucl_tritium) then ! si on active la production nucleaire de tritium
         DO i = 1, knon
@@ -188,22 +188,20 @@
 
 #ifdef ISO
-  if (modif_sst.ge.1) then
+  if (modif_sst.ge.1) THEN
   do i = 1, knon 
     lat_locale=rlat(knindex(i))  
     ! test: modification uniforme de la sst 
-    if (modif_sst.eq.1) then    
+    if (modif_sst.eq.1) THEN
        sst_out(i)= sst_out(i)+deltaTtest  
-    elseif (modif_sst.eq.2) then   !if (modif_sst.eq.1) then        
+    elseif (modif_sst.eq.2) then   !if (modif_sst.eq.1) THEN
         ! pattern parabolique en dehors des tropiques (sstlatcrit)
-        if (abs(lat_locale).gt.sstlatcrit) then
+        if (abs(lat_locale).gt.sstlatcrit) THEN
           sst_out(i)= sst_out(i)+deltaTtestpoles &
                  *(lat_locale**2-sstlatcrit**2) &
                  /(90.0**2-sstlatcrit**2)
-        endif !if (abs(lat_locale).gt.abs(sstlatcrit)) then
-
-    else if (modif_sst.eq.3) then 
-
-        if (abs(lat_locale).gt.abs(sstlatcrit)) then
-            if (abs(lat_locale).gt.sstlatcrit+dsstlatcrit) then
+        endif !if (abs(lat_locale).gt.abs(sstlatcrit)) THEN
+    else if (modif_sst.eq.3) THEN
+        if (abs(lat_locale).gt.abs(sstlatcrit)) THEN
+            if (abs(lat_locale).gt.sstlatcrit+dsstlatcrit) THEN
                 sst_out(i)= sst_out(i)+deltaTtestpoles
             else
@@ -212,7 +210,7 @@
             endif
         endif
-    endif !if (modif_sst.eq.1) then    
+    endif !if (modif_sst.eq.1) THEN
     enddo !do i = 1, knon 
-    endif !if (modif_sst.ge.1) then
+    endif !if (modif_sst.ge.1) THEN
 #endif
 #ifdef ISOVERIF
@@ -235,5 +233,5 @@
 
         ! lecture pour le tritium
-        if ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) then
+        if ((iso_HTO.gt.0).and.(ok_prod_nucl_tritium)) THEN
              ! lecture de la carte tritium ocean surface
              Roce(iso_HTO,i)=tcorr(iso_HTO)*tuoce_out(i)*1.E-18*2.
@@ -244,6 +242,6 @@
         do i=1,knon
           if (iso_verif_positif_nostop(370.0-sst_out(i), &
-              'limit_read 368').eq.1) then
-             write(*,*) 'i,knindex,sst_out=',i,knindex,sst_out(i)
+              'limit_read 368').eq.1) THEN
+             WRITE(*,*) 'i,knindex,sst_out=',i,knindex,sst_out(i)
              stop
           endif
@@ -267,5 +265,5 @@
 ! 2) Read fraction, if not type_ocean=couple
 ! 3) Read sea surface temperature, if not type_ocean=couple
-! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
+! 4) Read albedo and rugosity for land surface, ONLY in case of no vegetation model
 ! 5) Close file and distribuate variables to all processus
 
@@ -526,7 +524,7 @@
              do ii=1,klon_glo
                if (iso_verif_positif_nostop(370.0-sst_glo(ii),  &
-                'limit_read 384').eq.1) then
-                 write(*,*) 'ii,sst_glo=',ii,sst_glo(ii)
-                 write(*,*) 'jour,start,epais=',jour,start,epais
+                'limit_read 384').eq.1) THEN
+                 WRITE(*,*) 'ii,sst_glo=',ii,sst_glo(ii)
+                 WRITE(*,*) 'jour,start,epais=',jour,start,epais
                  stop
                endif
@@ -538,5 +536,5 @@
 
 !****************************************************************************************
-! 4) Read albedo and rugosity for land surface, only in case of no vegetation model
+! 4) Read albedo and rugosity for land surface, ONLY in case of no vegetation model
 
 !****************************************************************************************
